[alsa-devel] ASoC: OMAP mcbsp: dai->dev is missing warning

Mark Brown broonie at opensource.wolfsonmicro.com
Thu Dec 3 11:18:46 CET 2009

On Thu, Dec 03, 2009 at 11:45:47AM +0200, Peter Ujfalusi wrote:

> Recently the following warnings appeared during the bootup on OMAP platforms:

For fairly large definitions of recent :)

> At the moment the platform device/driver is not used for the 
> sound/soc/omap/omap-mcbsp, it is used for the arch/arm/plat-omap/mcbsp.c, so we 
> really don't have possibility at the moment to provide a valid dai->dev for ASoC 
> at the moment.

You could presumably get the plat-omap code to tell the ASoC code what
the dev is and use that?  When the board driver code loads it could ask
the McBSP ASoC driver to register the required ports.

> Mark: Do you have some estimates, when the dai->dev will become mandatory?

Not firm.  I would hope to start using it for things like suspend/resume
sequencing before 2.6.34 but it's not likely to be mandatory then.  To a
certain extent it depends on getting the major platforms converted over.

More information about the Alsa-devel mailing list